Bug 505549 - Unconfined cfservd, cfexecd and cfenvd services
Unconfined cfservd, cfexecd and cfenvd services
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: selinux-policy (Show other bugs)
14
All Linux
low Severity medium
: ---
: ---
Assigned To: Miroslav Grepl
Fedora Extras Quality Assurance
:
: 607451 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-06-12 07:52 EDT by Miroslav Grepl
Modified: 2011-08-22 08:42 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-08-22 08:42:53 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Miroslav Grepl 2009-06-12 07:52:03 EDT
Description of problem:

Unconfined cfservd, cfexecd and cfenvd daemons running in initrc_t domain

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1. install cfengine
2. enable services mentioned above
3. ps -eZ | grep initrc
  
Actual results:

system_u:system_r:initrc_t:s0 3343 ?       00:00:00 cfservd
system_u:system_r:initrc_t:s0 4861 ?       00:00:00 cfexecd
system_u:system_r:initrc_t:s0 5040 ?       00:00:00 cfenvd

Expected results:


Additional info:
Comment 1 Daniel Walsh 2009-06-12 08:30:33 EDT
Miroslav.

Not sure what each one of these daemons do, but one of them needs to write to the entire system, so ends up needing to be pretty much an unoconfined domain.  But writing policy for them is a good idea.
Comment 3 Bug Zapper 2010-04-27 10:49:06 EDT
This message is a reminder that Fedora 11 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 11.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '11'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 11's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 11 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 4 Miroslav Grepl 2010-06-28 08:39:36 EDT
*** Bug 607451 has been marked as a duplicate of this bug. ***
Comment 5 Bug Zapper 2010-07-30 06:41:04 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 14 development cycle.
Changing version to '14'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 6 Fedora Admin XMLRPC Client 2010-11-08 16:53:09 EST
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 7 Fedora Admin XMLRPC Client 2010-11-08 16:54:45 EST
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 8 Fedora Admin XMLRPC Client 2010-11-08 16:55:24 EST
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.

Note You need to log in before you can comment on or make changes to this bug.